[其它]双SATA下的Ubuntu不能启动的解决办法?

为当前最终发行版之前的所有版本提供支持
skyover
帖子: 10
注册时间: 2007-07-22 3:06
送出感谢: 0
接收感谢: 0
联系:

[其它]双SATA下的Ubuntu不能启动的解决办法?

#1

帖子 skyover » 2007-07-30 15:54

大家好,这是我第二次在本论坛发帖,第一张是AD帖。:D Ruby中文社区开源项目管理平台正式启动

上个周末,我的电脑终于修好了(ASUS的板,返厂修理,为期5周 :x ),新加了块160G的SATA硬盘,外加原来的SATA 80G,就总共有两块SATA的硬盘了,合240G。于是就想安装双系统,想法是:80G上已经有XP SP2 英文版系统,Ubuntu就单独安装在160G这块上。不想用GRUB来引导,因为主板支持在启动时选择从哪块硬盘启动。于是我把80G的硬盘电源拔掉,开始安装Ubuntu。(安装过程省略1073字……为期两天,其中一次安装7.04,后来重装为6.06,都是为了那该死的宽屏液晶).

到周日晚上终于装好了,把机箱拆开,把80G的电源线插上,选择以80G的硬盘启动,顺利蓝天白云,看样子XP没受影响,再选择以160G的硬盘启动,糟了,系统从GRUB那里闪了一下,然后居然出现什么ASH命令提示符?我死也没弄懂要怎么启动Ubuntu了。再把80G的硬盘拔掉,启动又回复正常了。

看来是我安装的时候拔掉80G硬盘惹的祸,现在Ubuntu死活不认那盘了,咋办呢?请各位高手支支招,我不可能每次要玩Ubuntu都拆机箱吧,那可真抓狂了。Ubuntu可是偶Ruby的开发环境呢。

在此谢过了,各位大虾。 :D
上次由 skyover 在 2007-07-30 16:14,总共编辑 1 次。
欢迎加入Ruby中文社区
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#2

帖子 skyx » 2007-07-30 16:08

有点奇怪,如果是ubuntu 7.04 ,grub和fstab都是by-uuid, 也许ubuntu 7.04不会出现这种情况,6.06不by-uuid,难道接两块硬盘后grub找错地方了?


但我感觉不用拆机箱,bios中disable掉xp的那块硬盘也许可以
no security measure is worth anything if an attacker has physical access to the machine
skyover
帖子: 10
注册时间: 2007-07-22 3:06
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 skyover » 2007-07-30 16:11

感谢楼上的如此迅速回答。:lol:

我试过disable硬盘啦,一样不行。 就在那个ash那就不动了。叫我输入help查看命令列表。

另外:我在使用的时候不小心将gnome卸载了,然后双重新安装,但是每次不会自动进入X了, 需要手工输入 startx 才行,这个问题要怎么解决?
欢迎加入Ruby中文社区
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

#4

帖子 leeaman » 2007-07-30 16:19

两个硬盘都在时候重装一下grub看看,重装gnome应该自动启动的,不行自己加那个gdm服务了
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#5

帖子 skyx » 2007-07-30 16:22

skyover 写了:感谢楼上的如此迅速回答。:lol:

我试过disable硬盘啦,一样不行。 就在那个ash那就不动了。叫我输入help查看命令列表。

另外:我在使用的时候不小心将gnome卸载了,然后双重新安装,但是每次不会自动进入X了, 需要手工输入 startx 才行,这个问题要怎么解决?

看下menu.lst fstab 中的内容是否和你当前的情况一样

另外,把两块硬盘的物理位置换下看行不?

楼上回答了你的另一问题
上次由 skyx 在 2007-07-30 16:24,总共编辑 1 次。
no security measure is worth anything if an attacker has physical access to the machine
skyover
帖子: 10
注册时间: 2007-07-22 3:06
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 skyover » 2007-07-30 16:23

位置倒还没有换过,可以试试,不过我想既然主板直接支持选择引导硬盘,应该与这个关系不大才对。

另外:我不知道怎么重新安装grub? :oops: 还有怎么自己加载那个gdm?

请原谅偶是linux菜鸟,偶是.Net阵营过来投奔的。 :wink:
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#7

帖子 skyx » 2007-07-30 16:26

看下menu.lst 和 fstab 中的内容是否和你当前的情况一样


论坛置顶帖中有grub的安装。



我坚持认为如果是7.04,不会有这种情况,因为7.04 的grub menu 和fstab都是by-uuid
no security measure is worth anything if an attacker has physical access to the machine
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

#8

帖子 leeaman » 2007-07-30 16:30

不知道sata有没有ide的主从之分,还有你的硬盘跳线的主从盘的分别,没有用过不敢说,可以试一下,重装grub的加gdm服务你google一下论坛吧,就算google一下 grub or gdm都有很多答案了
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
skyover
帖子: 10
注册时间: 2007-07-22 3:06
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 skyover » 2007-07-30 16:33

但是问题是我现在是6.06,不再是7.04了,虽然我也喜欢7.04,但是在7.04下我死活安装不了g++,也就没有办法安装nvidia的官方驱动,就没有办法在1440*900下看电影什么的。

6.06下有什么好办法解决这个问题吗?我现在如果装上两块硬盘,根本就进不了ubuntu,怎么重装grub呢。
skyover
帖子: 10
注册时间: 2007-07-22 3:06
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 skyover » 2007-07-30 16:34

leeaman 写了:不知道sata有没有ide的主从之分,还有你的硬盘跳线的主从盘的分别,没有用过不敢说,可以试一下,重装grub的加gdm服务你google一下论坛吧,就算google一下 grub or gdm都有很多答案了
SATA有主从之分的,跳线我已经跳好了,在XP下都可以识别得到。
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#11

帖子 skyx » 2007-07-30 16:38

1 ,照置顶帖重装grub

2. 用live cd 启动看下/dev/sd? 是否和你硬盘系统中fstab中的分区名一致,如果不一致要改成和live cd中的一样。
no security measure is worth anything if an attacker has physical access to the machine
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

#12

帖子 leeaman » 2007-07-30 16:38

lz真是好玩,装源里面的驱动就好了,为什么为了这个原因用6.06呢,再说不太可能7.04装不了g++,用安装光盘重装grub最简单了,7.04:系统-->系统管理-->受限制驱动管理装驱动比6.06方便多到海了去了,建议楼主直接重装feisty,在同时挂两个硬盘情况下,装源里面的驱动,方便舒服
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
skyover
帖子: 10
注册时间: 2007-07-22 3:06
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 skyover » 2007-07-30 16:40

skyx 写了:1 ,照置顶帖重装grub

2. 用live cd 启动看下/dev/sd? 是否和你硬盘系统中fstab中的分区名一致,如果不一致要改成和live cd中的一样。
谢谢了,我先试试看。
skyover
帖子: 10
注册时间: 2007-07-22 3:06
送出感谢: 0
接收感谢: 0
联系:

#14

帖子 skyover » 2007-07-30 16:42

leeaman 写了:lz真是好玩,装源里面的驱动就好了,为什么为了这个原因用6.06呢,再说不太可能7.04装不了g++,用安装光盘重装grub最简单了,7.04:系统-->系统管理-->受限制驱动管理装驱动比6.06方便多到海了去了,建议楼主直接重装feisty,在同时挂两个硬盘情况下,装源里面的驱动,方便舒服
哎,我也没办法,就是搞不定啊。源里带的驱动我也装不了,郁闷死了才又装回6.06的。g++是装不了,无法解决的依赖项,我不知道是什么问题。RPWT吧。 :lol:
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

#15

帖子 leeaman » 2007-07-30 16:46

同意------>rpwt,名字来看我还以为是skyx的mj,那里小小问题都搞不定,慢慢来吧,人品问题比较麻烦
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
回复

回到 “老旧版本支持”